window.Gleam.initSearch([{"doc":"gcalc","title":"gcalc","content":"# gcalc\n\n[![Package Version](https://img.shields.io/hexpm/v/gcalc)](https://hex.pm/packages/gcalc)\n[![Hex Docs](https://img.shields.io/badge/hex-docs-ffaff3)](https://hexdocs.pm/gcalc/)\n\nA math library for Gleam. Written in pure Gleam.\n\n```sh\ngleam add gcalc\n```\n```gleam\nimport gleam/io\nimport gcalc/alg\n\npub fn main() {\n  let x = 2.0\n  let y = 4.0\n  let z = alg.pow(x, y)\n\n  io.debug(z)\n  // 16.0\n\n  alg.sqrt(z)\n  |&gt; io.debug\n  // 4.0\n\n  alg.factorial(y)\n  |&gt; io.debug\n  // 24.0\n}\n```\n\nFurther documentation can be found at &lt;https://hexdocs.pm/gcalc&gt;.\n\n## Development\n\n```sh\ngleam run   # Run the project\ngleam test  # Run the tests\ngleam shell # Run an Erlang shell\n```\n","url":"index.html"},{"doc":"gcalc/alg","title":"MathError","content":"pub type MathError {\n  DivisionByZero\n  ValueOutOfRange\n  UnsupportedOperation\n}\n MathError represents an error that can occur when performing\n a mathematical operation\nDivisionByZero\n\n\nValueOutOfRange\n\n\nUnsupportedOperation\n\n\nSynonyms:\ngcalc/alg.MathError\ngcalc/alg MathError","url":"gcalc/alg.html#MathError"},{"doc":"gcalc/alg","title":"abs","content":"pub fn abs(n: Float) -&gt; Float\n Returns the absolute value of the argument\nSynonyms:\ngcalc/alg.abs\ngcalc/alg abs","url":"gcalc/alg.html#abs"},{"doc":"gcalc/alg","title":"factorial","content":"pub fn factorial(n: Float) -&gt; Result(Float, MathError)\n Returns a result containing the factorial of the argument\n or an error if the argument is negative\n\n Note: This function only supports non-negative values\nSynonyms:\ngcalc/alg.factorial\ngcalc/alg factorial","url":"gcalc/alg.html#factorial"},{"doc":"gcalc/alg","title":"pow","content":"pub fn pow(base: Float, power: Float) -&gt; Float\n Returns the exponentiation of the two arguments\n (i.e. the first argument raised to the power of the second argument)\nSynonyms:\ngcalc/alg.pow\ngcalc/alg pow","url":"gcalc/alg.html#pow"},{"doc":"gcalc/alg","title":"sqrt","content":"pub fn sqrt(n: Float) -&gt; Result(Float, MathError)\n Returns a result containing the square root of the argument\n or an error if the argument is negative\n\n Note: This function only supports non-negative values\n and returns the floor of the result\n (i.e. the largest integer less than or equal to the result)\nSynonyms:\ngcalc/alg.sqrt\ngcalc/alg sqrt","url":"gcalc/alg.html#sqrt"},{"doc":"gcalc/alg","title":"gcalc/alg","content":" A set of algebraic operations for Gleam programs","url":"gcalc/alg.html"}]);